<?php

namespace App\Model\Entities\Components\Article;

use App\Model\Entities\Security\User;
use App\Model\Entities\Components\Review;
use Doctrine\ORM\Mapping as ORM;


/**
 * @ORM\Entity
 */
class ArticleReview extends Review
{
   /**
    * @var Article
    * @ORM\ManyToOne(targetEntity="Article")
    */
   protected $article;

   public function __construct(Article $article, User $grantedBy, $value)
   {
      parent::__construct($grantedBy, $value);

      $this->article = $article;
   }

   /**
    * @return Article
    */
   public function getArticle()
   {
      return $this->article;
   }

}